QtWebKitBuildDependTransition

In Maverick QtWebkit has been split off the Qt package. As a result libqt4-dev no longer contains the necessary files for QtWebkit so every package that needs them has to build-depend on libqtwebkit-dev.

The following table contains all source packages which don't build-depend on kdelibs5-dev and have a binary package that depends on libqtwebkit4. This should cover most packages that fail because of the split but may of course contain false-positives.

Package

Assignee

Solution

Done?

acetoneiso

geser

yes

arora

JonathanRiddell

yes

bibletime

JonathanRiddell

yes

cb2bib

JonathanRiddell

yes

dooble

JonathanRiddell

yes

fatrat

JonathanRiddell

yes

fontmatrix

JonathanRiddell

yes

freecad

JonathanRiddell

yes

goldendict

JonathanRiddell

yes

google-gadgets

MichalZajac

yes

gpsbabel

Kiszel Kristóf

yes

gutenbrowser

Kiszel Kristóf

kadu

Kiszel Kristóf

yes

libqt4pas

FelixGeyer

http://people.ubuntu.com/~debfx/libqt4pas_2.1Qt4.5.3-1ubuntu2.debdiff

merkaartor

FelixGeyer

http://people.ubuntu.com/~debfx/merkaartor_0.15.3-1ubuntu2.debdiff

monkeystudio

FelixGeyer

mythplugins

bug #586007

mythtv

bug #586007

nmapsi4

PhilipMuskovac

yes

python-qt4

JonathanRiddell

yes

qgis

PhilipMuskovac

yes

qtscriptgenerator

qtemu

Kiszel Kristóf

yes

qutim

Kiszel Kristóf

yes

qzion

Kiszel Kristóf

yes

socnetv

Kiszel Kristóf

yes

ugene

Kiszel Kristóf

Build log

Someone should look into it

webkitkde

Kiszel Kristóf

yes

wkhtmltopdf

PhilipMuskovac

yes

QtWebKitBuildDependTransition (last edited 2010-07-21 13:54:27 by ulysses)